#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}

%{expand:%%define apache_version %(rpm -q apache-source|sed 's/apache-source-\([0-9].*\)-.*$/\1/')}
%{expand:%%define apache_release %(rpm -q apache-source|sed 's/apache-source-[0-9].*-\(.*\)$/\1/')}

Summary: Apache 1.3 Manual
Name: apache-manual
Version: %{apache_version}
Release: 3mdk
Group: System/Servers
URL: http://www.advx.org
License: Apache License
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Provides: ADVXpackage
Provides: AP13package
BuildRequires: ADVX-build >= 1.2
BuildRequires: apache-source = %{apache_version}

%description
This package contains the Apache 1.3 server documentation in HTML format.

%build
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
rm -rf apache-manual
cp -a /usr/src/apache_%{apache_version}/htdocs/manual apache-manual

%install
cd apache-manual
mkdir -p %{buildroot}%{_docdir}/apache-manual-%{apache_version}
cp -a * %{buildroot}%{_docdir}/apache-manual-%{apache_version}
mkdir -p %{buildroot}%{ap_htdocsdir}
pushd %{buildroot}%{ap_htdocsdir}
ln -sf ../../..%{_docdir}/apache-manual-%{apache_version} manual
ln -sf ../../..%{_docdir}/apache-manual-%{apache_version} manual-1.3
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root) 
%{ap_htdocsdir}/manual
%{ap_htdocsdir}/manual-1.3
%{_docdir}/apache-manual-%{apache_version}

%changelog
* Mon Sep 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-3mdk
- fix ASF bug #21737 (cgi zombie processes)

* Thu Sep 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-2mdk
- security update

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-8mdk
- provide /manual-1.3 symlink

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-7mdk
- split apache-manual into its own package so we can put apache-modules into
  cooker and keep apache-manual into contribs.
